package com.example.aped.communication;

import java.io.File;

public interface IIO
{
    /**
     * reads a value from a device connected to the raspberry
     * @param deviceName the name of the device to read from
     * @return the value read
     */
    String read(String deviceName);

    /**
     * writes a value to a device connected to the raspberry
     * @param deviceName the name of the device to write to
     * @param value the value to write to the device
     * @return the value written
     */
    String write(String deviceName, String value);

    /**
     * uploads the config.xml to the raspberry
     * @param xmlFile the config.xml
     * @return 0 if everything worked
     */
    int uploadXML(File xmlFile);

    /**
     * downloads the current config.xml from the raspberry
     * @return 0 if everything worked
     */
    int downloadXML();
}
